Автор Тема: CANON LBP2900  (Прочетена 9318 пъти)

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
CANON LBP2900
« -: Apr 10, 2016, 09:18 »
Инталирате драйверите Linux_CAPT_PrinterDriver_V270_uk_EN

sudo mkdir /var/ccpd
sudo mkfifo /var/ccpd/fifo0
sudo mkdir /var/captmon
(може да ги има не е проблем)
sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59687 -E
sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
sudo /etc/init.d/ccpd start
sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
(за проверка дали е добре напишете командата :
service ccpd status
трябва да изпише :
/usr/sbin/ccpd: 4353 4352
цифрите няма да са същите точно няма страшно ;))
Пускате принтера чак сега ,ако сте правили други неуспешни опити триете принтерите от контролния център и спазвате последователността.
пробвано е под Магея и Линукс Минт и е за 64 битова версия на системите не знам но май няма разлика но да кажа.
След всяко включване на компютъра иначе пак няма да печата.
sudo /etc/init.d/ccpd start
ПРИЯТНО ПЕЧАТАНЕ!
« Последна редакция: Apr 14, 2016, 07:46 от ceco_1 »
Активен

NedkoNedef

  • Напреднали
  • *****
  • Публикации: 12
  • Distribution: Linux Mint 18 Sarah - 32 bit
  • Window Manager: XFCE
    • Профил
    • WWW
Re: CANON LBP2900
« Отговор #1 -: Mar 01, 2017, 13:22 »
Как мислиш, дали подобна процедура ще свърши работа при Canon Laser Shot LBP-1120 ?

Свалих няколко версии на драйверите от сайта им, 1.60, 1.8., 2.20, 2.70
Инсталирах с GDebi 4 от тях и не тръгва. При опита за инсталиране на самия пакет, дава отчет за грешка с червени букви за някаква неудовлетворена зависимост. В единия случай версията на пакета била >= 3.20, друг път >= 1.60, в друг случай : cupsys или нещо друго. Четирите отговора на GDebi показвам на снимките.

Когато опитах да печатам, в прозорчето за избор на принтер, намерих настройки и избрах от един дълъг списък серията Canon LBP-1000. Пуснах страница за печат, принтерът светва, дава сигнал, завърта валяци, но не успява да дръпне листа. Принтерът със сигурност работи под Windows XP Pro на един DELL D 600.
Току-що го пуснах пак. Успя да дръпне листа, но не отпечата нищо. И самото дръпване на листа не стана
веднага след командата "Печат/Print", а след рестарт на принтера.

За TOSHIBA L40 14F имам статия в БГ списание, че не може да инсталира ХР, заради липсващи драйвери,
и те се добавят допълнително на инсталационен диск. Смятали са, че ХР е твърде стара за този модел. Точно така го направих и аз, и само така мога да инсталирам ХР.

Този факт може ли да има връзка с проблема с принтера ?

Предварително благодаря !

Снимките вече са достъпни, но с линковете им :
http://imgur.com/mFbPj03
http://imgur.com/kBSQceD
http://imgur.com/KfWUZrv
http://imgur.com/nhsGGC1
« Последна редакция: Mar 01, 2017, 14:13 от NedkoNedef »
Активен

TOSHIBA L40 14F Intel Pentium Dual CPU T 2310 @ 1,46 GHz, HDD 120 GB, RAM 2 GB, Linux Mint 18 XFCE - 32 bit + Windows XP Pro SP3 Get Genuine Kit - 32 bit

go_fire

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 6389
  • Distribution: Дебиан Сид
  • Window Manager: ROX-Desktop / е17
  • кашик с гранатомет в танково поделение
    • Профил
    • WWW
Re: CANON LBP2900
« Отговор #2 -: Mar 01, 2017, 13:55 »
При мен снимките не се отварят¹, но все тая. Важното е да запомниш, че водачите на устройства нямат нищо общо в ОС, която си посочил и тук. Специално за печат в модерните ГНУ/Линукс се грижи CUPS. Търси проблема там. Не е невъзможно, твоя модел да е неподдържан. Едно запитване към някоя търсачка² с цялото име на модела и добавка CUPS, би трябвало да покаже, какво е положението.




п.п. Българските списания са идиотски. Само PCW ставаше що-годе, ама и то замря.




-----
¹/
Код
GeSHi (Bash):
  1. grep imgur.com /etc/hosts
  2. 0.0.0.0 ads.imgur.com
  3. 0.0.0.0 p.imgur.com

²/ За предпочитане ixquick и едва тогава друга.
« Последна редакция: Mar 01, 2017, 13:59 от go_fire »
Активен

В $por4e2 e истината  ;)

***

Aко даваха стипендия за най-глупави, щях да съм човека с най-много Mини Kупъри

***

Reborn since 1998 || 15.09.2007 totally М$ free && conscience clear

NedkoNedef

  • Напреднали
  • *****
  • Публикации: 12
  • Distribution: Linux Mint 18 Sarah - 32 bit
  • Window Manager: XFCE
    • Профил
    • WWW
Re: CANON LBP2900
« Отговор #3 -: Mar 01, 2017, 14:20 »
Снимките вече са достъпни, постнах линковете само.

Случаят със списанието беше преди 2010 г. Лаптопът е купен през 2008 г., аз го прекупих през 2010 г.
Наистина мога да инсталирам само с инсталационен диск с добавени драйвъри.
Това е странична тема, да я оставим.

Преди малко принтерът успя да си дръпне листа, но не отпечата документа.
И не го прави веднага след командата, а остава в изчакване и едва след рестартиране дръпва листа.
Два пъти повторих, за да се уверя - листът все празен излиза.
И няма грешка, името на документа се вижда.
« Последна редакция: Mar 02, 2017, 18:56 от NedkoNedef »
Активен

TOSHIBA L40 14F Intel Pentium Dual CPU T 2310 @ 1,46 GHz, HDD 120 GB, RAM 2 GB, Linux Mint 18 XFCE - 32 bit + Windows XP Pro SP3 Get Genuine Kit - 32 bit

Stancho_25

  • Напреднали
  • *****
  • Публикации: 234
    • Профил
Re: CANON LBP2900
« Отговор #4 -: Mar 01, 2017, 15:43 »

Свалих няколко версии на драйверите от сайта им, 1.60, 1.8., 2.20, 2.70
Инсталирах с GDebi 4 от тях и не тръгва. При опита за инсталиране на самия пакет, дава отчет за грешка с червени букви за някаква неудовлетворена зависимост. В единия случай версията на пакета била >= 3.20, друг път >= 1.60, в друг случай : cupsys или нещо друго. Четирите отговора на GDebi показвам на снимките.


Сега дейнсталирай всички версии на драйвера (през synaptic). После си инсталирай 2-та деб пакета от последната версия 2.70 като първия май беше common пакета. След това включваш принтера към компютъра.

Когато опитах да печатам, в прозорчето за избор на принтер, намерих настройки и избрах от един дълъг списък серията Canon LBP-1000.

Сега от тези настройки в дългия списък трябва да ти е наличен модела LBP-1120-CAPT ако не се лъжа.
Търсиш в Menu>Администрация на системата>Printers за да ги изкараш. Или от Системни настройки в секция Хардуер > Принтери

ПС: Може да си конфигурираш принтера и директно през веб интерфейса на cups. Отваряш някой веб браузер и пишеш следниа адрес

Код:
localhost:631
« Последна редакция: Mar 01, 2017, 15:48 от Stancho_25 »
Активен

NedkoNedef

  • Напреднали
  • *****
  • Публикации: 12
  • Distribution: Linux Mint 18 Sarah - 32 bit
  • Window Manager: XFCE
    • Профил
    • WWW
Re: CANON LBP2900
« Отговор #5 -: Mar 02, 2017, 19:27 »
Сега дейнсталирай всички версии на драйвера (през synaptic). После си инсталирай 2-та деб пакета от последната версия 2.70 като първия май беше common пакета. След това включваш принтера към компютъра.
Как да разпозная старите пакети ?
С името CUPS ли започват ?
Само тези ли са от снимката ? и Всичките ли ?
Не видях с CANON или с CAPT.
http://imgur.com/pZ9ilj3

Сега от тези настройки в дългия списък трябва да ти е наличен модела LBP-1120-CAPT ако не се лъжа.
Търсиш в Menu>Администрация на системата>Printers за да ги изкараш. Или от Системни настройки в секция Хардуер > Принтери
"Дългият списък" се оказа списък с всички модели на CANON :
http://imgur.com/I8iUaFp

LBP-1120 наистина се появи но не в списъка,
а в прозорчето, където преди бяха само 2 принтера,
http://imgur.com/CM5IgXj

 а сега станаха 3 :
http://imgur.com/nCuJIrc

Когато щракна на LBP-1120, се показва това прозорче за настройки :
http://imgur.com/1vqbtsk

Щракам направо на ОК, защото не знам какво да настройвам
и се показва прозорец за избор на марка принтери
и след това "дългия списък" с модели. :
http://imgur.com/Vhjmj2s

ПС: Може да си конфигурираш принтера и директно през веб интерфейса на cups. Отваряш някой веб браузер и пишеш следниа адрес

Код:
localhost:631

Ето какво се изписва, когато напиша в браузъра localhost:631
"Този сайт не може да бъде открит" или нещо подобно
http://imgur.com/WqNT0Kh
« Последна редакция: Mar 02, 2017, 19:39 от NedkoNedef »
Активен

TOSHIBA L40 14F Intel Pentium Dual CPU T 2310 @ 1,46 GHz, HDD 120 GB, RAM 2 GB, Linux Mint 18 XFCE - 32 bit + Windows XP Pro SP3 Get Genuine Kit - 32 bit

spec1a

  • Напреднали
  • *****
  • Публикации: 1585
    • Профил
Re: CANON LBP2900
« Отговор #6 -: Mar 03, 2017, 09:09 »
   Вероятно cups не е стартиран.Стартирай го с:
systemctl start cups
   Ако даде грешка,разгледай резултата от:
systemctl status cups
Активен

NedkoNedef

  • Напреднали
  • *****
  • Публикации: 12
  • Distribution: Linux Mint 18 Sarah - 32 bit
  • Window Manager: XFCE
    • Профил
    • WWW
Re: CANON LBP2900
« Отговор #7 -: Mar 03, 2017, 13:28 »
   Вероятно cups не е стартиран.Стартирай го с:
systemctl start cups
   Ако даде грешка,разгледай резултата от:
systemctl status cups
Показвам снимки от терминала.
http://imgur.com/KPbIWLU
http://imgur.com/ch7NrWs
Изпълних двете команди, защото не разбрах резултата от първата команда.
Снимките са 2 заради няколко букви от думата enabled),
които не се виждаха на първата снимка.

Не съм сигурен, дали разбирам какво точно значи отговорът след командите.

Нещо не се получава да се изпълни командата за man:cupsd(8 )
Отчита разни грешки и опаитах само с man:cups
Отвори се страницата с упътването,
щракнах на линка localhost:631, който вчера беше недостъпен (дали защото не написах "http://" ? )
и поразгледах опциите
Сега не мога да продължа, но по-късно непременно ще го разуча.
« Последна редакция: Mar 04, 2017, 07:19 от NedkoNedef »
Активен

TOSHIBA L40 14F Intel Pentium Dual CPU T 2310 @ 1,46 GHz, HDD 120 GB, RAM 2 GB, Linux Mint 18 XFCE - 32 bit + Windows XP Pro SP3 Get Genuine Kit - 32 bit

lz

  • Напреднали
  • *****
  • Публикации: 172
  • Distribution: Ubuntu
  • Window Manager: Unity
    • Профил
Re: CANON LBP2900
« Отговор #8 -: Mar 05, 2017, 14:58 »
Като притежател на CANON LBP2900 само мога да съчувствам. Подкарването на LBP е направо висш пилотаж. Свързано е с много ровене, четене и намиране на работещо решение.
Активен

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
Re: CANON LBP2900
« Отговор #9 -: Apr 19, 2017, 14:08 »
Аз съм начинаещ и едва ли мога да ви помогна, но се надявам да е станало и при вас ,моля пишете дали става ,при мен става за сега.Може да замените с вашия модел и така да пробвате ,други идеи нямам ,успех :)
Активен

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
Re: CANON LBP2900
« Отговор #10 -: Jul 29, 2017, 13:10 »
На линукс минт 18 2 /64
не става  :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'( :'(

А и каноните пак са пуснали нов драивер 2,71 и пак не са го направили
« Последна редакция: Jul 29, 2017, 13:23 от ceco_1 »
Активен

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
Re: CANON LBP2900
« Отговор #11 -: Jul 29, 2017, 13:24 »
когато инсталирате драйверите има значение кой първо ще сложите за това зависимостите не ви се изпълняват  8)
Активен

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
Re: CANON LBP2900
« Отговор #12 -: Jul 29, 2017, 22:11 »
Пак успях ,чист късмет де ,голям ръчкане падна ,та да ви кажа де печатам си вече,но да знаете сложете 32 битовите драивери няма значение от операционата система и мойта е на 64 ама тръгна 32битовите и другота което направих е да отворя локалхост636 и да регистрирам и двата принтера, може да не е трябвало и двата, но факта е че работи .Успех на всички и да знят няма да си купя друг принтер този си ми харесва!!!!!
« Последна редакция: Jul 29, 2017, 22:15 от ceco_1 »
Активен

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
Re: CANON LBP2900
« Отговор #13 -: Apr 20, 2018, 12:46 »
Трябва да имате инсталирани тези пакети:
portreserve
gsfonts
gsfonts-other
gsfonts-X11
Активен

ceco_1

  • Участници
  • ***
  • Публикации: 7
    • Профил
Re: CANON LBP2900
« Отговор #14 -: Jun 05, 2020, 14:49 »
Инталирате драйверите Linux_CAPT_PrinterDriver_V271_uk_EN
64битовите от RPM пакетите

sudo mkdir /var/ccpd
sudo mkfifo /var/ccpd/fifo0
sudo mkdir /var/captmon
(може да ги има не е проблем)
sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59687 -E
sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
sudo /etc/init.d/ccpd start
sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
(за проверка дали е добре напишете командата :
service ccpd status
трябва да изпише :
/usr/sbin/ccpd: 4353 4352
цифрите няма да са същите точно няма страшно ;))
Пускате принтера чак сега ,ако сте правили други неуспешни опити триете принтерите от контролния център и спазвате последователността.
след пускане на принтера отворете терминал:
captstatusui -P LBP2900
ako e redy e добре.
ако дава грешка
sudo service ccpd restart 
и пак
captstatusui -P LBP2900
сега трябва да е ок.
след всеки рестарт на компютъра
sudo service ccpd restart
captstatusui -P LBP2900
 ;) ;) ;) ;) ;) ;) ;) ;)
Стана на Fedora32 /64bit правите това .
« Последна редакция: Jun 05, 2020, 14:55 от ceco_1 »
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
Canon принтери под linux
Настройка на програми
viv1111 31 6959 Последна публикация Jan 05, 2008, 15:03
от cabboj
Canon lbp2900 и ubuntu, debian
Настройка на хардуер
No_root__No_cry 0 2071 Последна публикация Apr 17, 2008, 23:52
от No_root__No_cry
Принтер canon mp210
Хардуерни и софтуерни проблеми
SK0RP10N 3 3481 Последна публикация Sep 28, 2008, 16:30
от viv1111
Canon MF3200
Настройка на хардуер
newone 2 2373 Последна публикация Jul 13, 2009, 16:01
от ch4iev
Драйвъри за ксерокс Canon PC-D340
Настройка на хардуер
freedj 6 2345 Последна публикация Oct 08, 2012, 11:19
от freedj